# Register Applications
source: https://developer.mastercard.com/open-finance-us/documentation/financial-institution/oauth-connections/register-your-applications/index.md

Applications are computer programs developed for web or mobile devices by you, our Partners. You must register each of your applications so that customers can identify your application name and logo in the process flow of [Data Connect](https://developer.mastercard.com/open-finance-us/documentation/connect/index.md). The permissions that a customer gives when permissioning access to an account are specific to your application and to the specific financial institution (FI).
Alert: If you have a single application that needs to be registered, you do not need to use the Application Registration API described below. Instead, simply contact your Customer Success Manager to manage this process for you.

If you are planning on registering multiple applications, use the Application Registration API, and contact your Customer Service Manager or Systems Engineer if you need additional help.

After your applications are registered, they are registered with all current legacy FIs and any current or future OAuth FIs as they become available. Since some FIs take longer than others to register, we recommend that you start registering your applications as soon as possible.

## How It Works {#how-it-works}

1. Generate the required credentials to call the APIs. See [Generate Your Credential](https://developer.mastercard.com/open-finance-us/documentation/quick-start-guide/index.md#generate-your-credentials).
2. Generate an Access Token. See [Create Access Token](https://developer.mastercard.com/open-finance-us/documentation/quick-start-guide/index.md#step-1---create-access-token).
3. Call `POST /aggregation/v1/partners/applications` with a `appName`, `appDescription` and other required fields to initiate the registration process and return a `preAppId`
4. To check the status of your submitted application, call `GET /applications` with a `preAppId`.
5. To modify any details regarding your application, call `PUT /aggregation/v1/partners/applications/{preAppId}` with a `preAppId` as a query parameter and the updated details in the payload.
6. To check the status of your application's registration with a financial institution, call `GET /applications/{application_id}/institutions`
7. To assign specific customers to an application, call `POST /aggregation/v1/partners/applications` with `customerID` and `applicationID`.

## Application APIs {#application-apis}

Use the APIs to register new applications to access FIs with OAuth connections. You can also modify your registered applications, get application details and check the status of your applications.

### Application Registration {#application-registration}


API Reference: `POST /aggregation/v1/partners/applications`

### Get Application Details {#get-application-details}

To check the status of your app registrations on Mastercard's Open Finance platform, use the following endpoint. All of the query parameters are optional. The response contains a list of all the pre-apps and applications.

API Reference: `GET /applications`

### Modify App Registration {#modify-app-registration}

You can update a registered application with the following endpoint.

API Reference: `PUT /aggregation/v1/partners/applications/{preAppId}`

### Get App Registration Status {#get-app-registration-status}

To check the status of your application with a particular Financial Institution, use the following endpoint. If you don't specify an FI then the status of your application with every FI is returned.

API Reference: `GET /applications/{application_id}/institutions`

### Set Customer Application ID {#set-customer-application-id}

If you have registered more than one application for your partner ID, use [Set Customer Application ID](https://developer.mastercard.com/open-finance-us/documentation/financial-institution/oauth-connections/register-your-applications/index.md#set-customer-application-id) to map your customers to the apps they are allowed to use. [Add Testing or Active Customer](https://developer.mastercard.com/open-finance-us/documentation/customer-records/index.md#customers) uses `applicationId` to assign customers to specific applications, controlling which applications your customers have permissions to use.
Tip: Most partners only integrate Mastercard Open Banking into one application. We recommend that you speak to us before attempting to create multiple applications so we can advise you on best practices. Warning: You must assign an application ID to all existing customers, or they will fail to aggregate successfully.
API Reference: `PUT /aggregation/v1/customers/{customerId}/applications/{applicationId}`

**See also**:

* [OAuth Connections](https://developer.mastercard.com/open-finance-us/documentation/financial-institution/oauth-connections/index.md)
* [Migrate Customers](https://developer.mastercard.com/open-finance-us/documentation/financial-institution/oauth-connections/migration-customers/index.md)
